com.dlsc.flexgantt.swing

## Class SimpleGranularityDualGanttChart

- java.lang.Object
- - java.awt.Component
  - - java.awt.Container
    - - javax.swing.JComponent
      - - javax.swing.JPanel
        - - com.dlsc.flexgantt.swing.AbstractGanttChart
          - - com.dlsc.flexgantt.swing.DualGanttChart
            - - com.dlsc.flexgantt.swing.SimpleGranularityDualGanttChart

- All Implemented Interfaces:
    ICommandStackListener, IPagingModelListener, IColumnModelListener, KeyListener, ImageObserver, MenuContainer, PropertyChangeListener, Serializable, EventListener, Accessible

      public class SimpleGranularityDualGanttChart
      extends DualGanttChart

  A dual Gantt chart implementation that is pre-configured to use the non-standard `SimpleGranularity` for its dateline model, the status bar, and the grid policy. This class is intended to be a convenience class that makes it easier to create Gantt charts that use this granularty instead of the more common `TimeGranularity`.
  Since:
    1.0
  Version:
    $Revision: 1.5 $
  Author:
    Dirk Lemmermann
  See Also:
    `SimpleGranularity`, `SimpleGranularityDatelineModel`, `SimpleGranularityDatelineRenderer`, `SimpleGranularityStatusBarPolicy`, `SimpleGranularityGridPolicy`, `SimpleGranularityGanttChart`, Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.dlsc.flexgantt.swing.AbstractGanttChart

      `AbstractGanttChart.Banner`

    - ### Nested classes/interfaces inherited from class javax.swing.JPanel

      `JPanel.AccessibleJPanel`

    - ### Nested classes/interfaces inherited from class javax.swing.JComponent

      `JComponent.AccessibleJComponent`

    - ### Nested classes/interfaces inherited from class java.awt.Container

      `Container.AccessibleAWTContainer`

    - ### Nested classes/interfaces inherited from class java.awt.Component

      `Component.AccessibleAWTComponent, Component.BaselineResizeBehavior, Component.BltBufferStrategy, Component.FlipBufferStrategy`

  - ### Field Summary

    - ### Fields inherited from class com.dlsc.flexgantt.swing.DualGanttChart

      `PROPERTY_HORIZONTAL_SPLITTER_LOCATION, PROPERTY_PRIMARY_PRINT_MANAGER, PROPERTY_SECONDARY_MODEL, PROPERTY_SECONDARY_PRINT_MANAGER, PROPERTY_SECONDARY_VISIBLE, PROPERTY_VERTICAL_SPLITTER_LOCATION`

    - ### Fields inherited from class com.dlsc.flexgantt.swing.AbstractGanttChart

      `PROPERTY_ACTIVE_SPREADSHEET, PROPERTY_CALENDAR_MODEL, PROPERTY_CALENDAR_VISIBLE, PROPERTY_COLUMN_MODEL, PROPERTY_COMMAND_STACK, PROPERTY_CONTROLS_BG_COLOR, PROPERTY_CONTROLS_FG_COLOR, PROPERTY_CROSSHAIR_VISIBLE, PROPERTY_GRID_LINE_MODE, PROPERTY_KEY_COLUMN_POSITION, PROPERTY_LABELS_VISIBLE, PROPERTY_LAYER_CONTAINER_ROW_HEADER_WIDTH, PROPERTY_MODEL, PROPERTY_PAGING_MODEL, PROPERTY_POLICY_PROVIDER, PROPERTY_POPUP_VISIBLE, PROPERTY_RELATIONS_VISIBLE, PROPERTY_ROW_LAYER_VISIBLE, PROPERTY_ROW_RESIZE_POSITION, PROPERTY_TIME_NOW_SCROLLING, PROPERTY_TIME_NOW_VISIBLE, PROPERTY_TREE_TABLE_ROW_HEADER_WIDTH, PROPERTY_VERTICAL_LINES_ON_TOP`

    - ### Fields inherited from class javax.swing.JComponent

      `listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW`

    - ### Fields inherited from class java.awt.Component

      `accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT`

    - ### Fields inherited from interface java.awt.image.ImageObserver

      `ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleGranularityDualGanttChart()` Constructs a new dual Gantt chart that uses a simple dateline.
    `SimpleGranularityDualGanttChart(IColumnModel columnModel)` Constructs a new dual Gantt chart that uses a simple dateline.
    `SimpleGranularityDualGanttChart(IGanttChartModel model)` Constructs a new dual Gantt chart that uses a simple dateline.
    `SimpleGranularityDualGanttChart(IGanttChartModel primaryModel, IGanttChartModel secondaryModel)` Constructs a new dual Gantt chart that uses a simple dateline.
    `SimpleGranularityDualGanttChart(IGanttChartModel primaryModel, IGanttChartModel secondaryModel, IColumnModel columnModel)` Constructs a new dual Gantt chart that uses a simple dateline.
    `SimpleGranularityDualGanttChart(IGanttChartModel primaryModel, IGanttChartModel secondaryModel, IColumnModel columnModel, SimpleComponentFactory compFactory)` Constructs a new dual Gantt chart that uses a simple dateline.
    `SimpleGranularityDualGanttChart(IGanttChartModel primaryModel, IGanttChartModel secondaryModel, SimpleComponentFactory compFactory)` Constructs a new dual Gantt chart that uses a simple dateline.
    `SimpleGranularityDualGanttChart(SimpleComponentFactory compFactory)` Constructs a new dual Gantt chart that uses a simple dateline.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ISelectorFactory` | `getSelectorFactory()` Returns the selector factory used by the Gantt chart for creating selectors in various places.

    - ### Methods inherited from class com.dlsc.flexgantt.swing.DualGanttChart

      `createLayerContainerScrollPane, createTreeTableScrollPane, getFixedHorizonalSplitterLocation, getFixedVerticalSplitterLocation, getGridComponents, getHorizontalLayerContainerScrollBar, getHorizontalSplitter, getHorizontalSplitterLocation, getHorizontalTreeTableScrollBar, getLayerContainers, getLayerContainerScrollPanes, getPrimaryLayerContainer, getPrimaryLayerContainerRowHeader, getPrimaryLayerContainerScrollPane, getPrimaryPrintManager, getPrimaryTreeTable, getPrimaryTreeTableRowHeader, getPrimaryTreeTableScrollPane, getPrintContexts, getSecondaryLayerContainer, getSecondaryLayerContainerRowHeader, getSecondaryLayerContainerScrollPane, getSecondaryModel, getSecondaryPrintManager, getSecondaryPrintSetup, getSecondaryTreeTable, getSecondaryTreeTableRowHeader, getSecondaryTreeTableScrollPane, getSecondaryWeight, getSplitterSize, getTreeTables, getTreeTableScrollPanes, getVerticalSplitter, getVerticalSplitterLocation, isSecondaryVisible, print, print, printSecondaryModel, printSecondaryModel, propertyChange, resetToPreferredSizes, setHorizontalSplitterLocation, setModel, setPrimaryPrintManager, setSecondaryModel, setSecondaryPrintManager, setSecondaryPrintSetup, setSecondaryVisible, setSecondaryWeight, setSplitterSize, setVerticalSplitterLocation, tearDown`

    - ### Methods inherited from class com.dlsc.flexgantt.swing.AbstractGanttChart

      `addAvailableColumn, addMessage, addMessageListener, addSortingListener, addToolBarAction, alignEndTimes, alignStartTimes, clearMessages, clearToolBarActions, collapseAll, columnModelChanged, commandExecute, commandRedo, commandStackChanged, commandUndo, createPrintableGanttChart, expandAll, fireMessageAdded, fireMessageRemoved, fireMessagesCleared, fireSortingEvent, getActiveSpreadsheet, getAvailableColumns, getCalendarModel, getColumn, getColumnCount, getColumnModel, getCommandInterceptor, getCommandStack, getComponentFactory, getControlsBackground, getControlsForeground, getDateline, getDatelineModel, getEventline, getGranularity, getGridLineMode, getKeyColumn, getKeyColumnPosition, getLayerContainerRowHeaderWidth, getMessages, getModel, getPagingModel, getPolicyProvider, getPrintSetup, getProgressMonitorFactory, getRowResizePosition, getTimeline, getTimeSpan, getToolBarActions, getTreeTableHeader, getTreeTableRowHeaderWidth, isCalendarVisible, isCrosshairVisible, isLabelsVisible, isPopupVisible, isRelationsVisible, isRowLayerVisible, isShowingCommandExceptions, isTimeNowScrolling, isTimeNowVisible, isVerticalLinesOnTop, keyPressed, keyReleased, keyTyped, optimizeColumnWidth, optimizeColumnWidth, optimizeColumnWidth, optimizeColumnWidth, optimizeColumnWidth, optimizeColumnWidth, pageChanged, pageWillChange, paint, paintRowResizePosition, removeAvailableColumn, removeMessage, removeMessageListener, removeSortingListener, removeToolBarAction, setActiveSpreadsheet, setAvailableColumns, setCalendarModel, setCalendarVisible, setColumnModel, setCommandInterceptor, setCommandStack, setControlsBackground, setControlsForeground, setCrosshairVisible, setEnabled, setGranularity, setGridLineMode, setKeyColumnPosition, setLabelsVisible, setLayerContainerRowHeaderWidth, setPagingModel, setPolicyProvider, setPopupVisible, setPrintSetup, setProgressMonitorFactory, setRelationsVisible, setRowLayerVisible, setRowResizePosition, setShowingCommandExceptions, setTimeNowScrolling, setTimeNowVisible, setTimeSpan, setTreeTableRowHeaderWidth, setVerticalLinesOnTop, showAllObjects, showEarliestObjects, showLatestObjects, showMessage, showMessage, showMessage, showMessageContext, showMessages, showTime, showTimeNow, sortTables`

    - ### Methods inherited from class javax.swing.JPanel

      `getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI`

    - ### Methods inherited from class javax.swing.JComponent

      `addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update`

    - ### Methods inherited from class java.awt.Container

      `add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree`

    - ### Methods inherited from class java.awt.Component

      `action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, toString, transferFocus, transferFocusBackward, transferFocusUpCycle`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleGranularityDualGanttChart

          public SimpleGranularityDualGanttChart(IGanttChartModel primaryModel,
                                                 IGanttChartModel secondaryModel,
                                                 IColumnModel columnModel,
                                                 SimpleComponentFactory compFactory)

      Constructs a new dual Gantt chart that uses a simple dateline.
      Parameters:
        `primaryModel` - the primary Gantt chart model
        `secondaryModel` - the secondary Gantt chart model
        `columnModel` - the column model
        `compFactory` - the component factory used to create the various commponents of which a Gantt chart exists
      Since:
        1.0

    - #### SimpleGranularityDualGanttChart

          public SimpleGranularityDualGanttChart(IGanttChartModel primaryModel,
                                                 IGanttChartModel secondaryModel,
                                                 IColumnModel columnModel)

      Constructs a new dual Gantt chart that uses a simple dateline.
      Parameters:
        `primaryModel` - the primary Gantt chart model
        `secondaryModel` - the secondary Gantt chart model
        `columnModel` - the column model
      Since:
        1.0

    - #### SimpleGranularityDualGanttChart

          public SimpleGranularityDualGanttChart(IGanttChartModel primaryModel,
                                                 IGanttChartModel secondaryModel,
                                                 SimpleComponentFactory compFactory)

      Constructs a new dual Gantt chart that uses a simple dateline.
      Parameters:
        `primaryModel` - the primary Gantt chart model
        `secondaryModel` - the secondary Gantt chart model
        `compFactory` - the component factory used to create the various commponents of which a Gantt chart exists
      Since:
        1.0

    - #### SimpleGranularityDualGanttChart

          public SimpleGranularityDualGanttChart(IGanttChartModel primaryModel,
                                                 IGanttChartModel secondaryModel)

      Constructs a new dual Gantt chart that uses a simple dateline.
      Parameters:
        `primaryModel` - the primary Gantt chart model
        `secondaryModel` - the secondary Gantt chart model
      Since:
        1.0

    - #### SimpleGranularityDualGanttChart

          public SimpleGranularityDualGanttChart(IGanttChartModel model)

      Constructs a new dual Gantt chart that uses a simple dateline.
      Parameters:
        `model` - the primary Gantt chart model
      Since:
        1.0

    - #### SimpleGranularityDualGanttChart

          public SimpleGranularityDualGanttChart(IColumnModel columnModel)

      Constructs a new dual Gantt chart that uses a simple dateline.
      Parameters:
        `columnModel` - the column model
      Since:
        1.0

    - #### SimpleGranularityDualGanttChart

          public SimpleGranularityDualGanttChart(SimpleComponentFactory compFactory)

      Constructs a new dual Gantt chart that uses a simple dateline.
      Parameters:
        `compFactory` - the component factory used to create the various commponents of which a Gantt chart exists
      Since:
        1.0

    - #### SimpleGranularityDualGanttChart

          public SimpleGranularityDualGanttChart()

      Constructs a new dual Gantt chart that uses a simple dateline.
      Since:
        1.0

  - ### Method Detail

    - #### getSelectorFactory

          public ISelectorFactory getSelectorFactory()

      Description copied from class: `AbstractGanttChart`
      Returns the selector factory used by the Gantt chart for creating selectors in various places. Subclasses are free to override this method at their desire. The default implementation returns a `TimeGranularitySelectorFactory` singleton instance.
      Overrides:
        `getSelectorFactory` in class `AbstractGanttChart`
      Returns:
        the Gantt chart's selector factory
      See Also:
        `TimeGranularitySelectorFactory.getInstance()`

Copyright © 2006–2020 Dirk Lemmermann Software & Consulting. All rights reserved.